Name:			bonito-open
Version:		3.116.13
Release:		1%{?dist}
Summary:		Bonito is a web interface for Manatee

Group:			Applications/Text
License:		GPLv2+
URL:			http://nlp.fi.muni.cz/trac/noske/
Source0:		%{name}-%{version}.tar.gz

BuildArch:		noarch

BuildRequires:	python-devel
BuildRequires:	python-cheetah

Requires:               manatee-open-python >= 2.167.8
Requires:               python-cheetah >= 2.4
Requires:               python-prctl
Requires:               python-simplejson
Requires:               python-signalfd
Requires:               httpd

%description
Bonito is a graphical web interface for the Manatee corpus management system.

%package www
Summary:	Sample WWW installation of Bonito
Requires:	%{name} = %{version}-%{release}
Group:		Applications/Internet

%description www
Sample WWW installation of Bonito

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT
export MANATEE_REGISTRY=%{_localstatedir}/lib/manatee/registry
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/manatee/registry
./setupbonito %{_localstatedir}/www/bonito %{_localstatedir}/lib/bonito
sed -i 's/^\(require.*\)/#\1/I' $RPM_BUILD_ROOT%{_localstatedir}/www/bonito/.htaccess

%find_lang ske

# install Apache conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/bonito.conf <<-EOF 
	Alias /bonito /var/www/bonito
	<Directory /var/www/bonito>
		AllowOverride All
		Options +ExecCGI
		AddHandler cgi-script .cgi
	</Directory>
        HttpProtocolOptions Unsafe
EOF

# install skejobserver systemd service
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
cat > $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/skejobserver.service <<-EOF
[Unit]
Description=SketchEngine Job Server
After=network.target remote-fs.target nss-lookup.target

[Service]
Type=simple
User=apache
Group=apache
EnvironmentFile=%{_sysconfdir}/skejobserver
ExecStart=%{python_sitelib}/bonito/jobrunner.py -d \${work_dir} -n \${server_name} -p \${port} -e \${mail} -l \${log}
ExecStop=/usr/bin/kill \$MAINPID

[Install]
WantedBy=multi-user.target
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/skejobserver <<-EOF
#work_dir Use DIR as job directory, defaults to /var/lib/skejobs
#server_name  Server name, defaults to localhost
#port Server port, defaults to 8333
#mail Server admin e-mail, defaults to root@localhost
#log Logfile, defaults to stderr

work_dir="/var/lib/bonito/jobs"
server_name="localhost"
port=8333
mail="root"
log="/var/lib/bonito/jobs/jobs.log"
EOF


%post www
if [ $1 == 2 ]; then # only when updating, not installing
    service httpd reload
fi
/bin/systemctl --system daemon-reload &> /dev/null || :

%post
chmod +x  %{python_sitelib}/bonito/jobrunner.py

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ske.lang
%defattr(-,root,root,-)
%{_bindir}/setupbonito
%{_datadir}/bonito
%{python_sitelib}/bonito
%dir %{_localstatedir}/lib/bonito/
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/cache
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/options
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/subcorp
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/jobs
%config(noreplace) %{_localstatedir}/lib/bonito/htpasswd
%{_localstatedir}/lib/manatee/registry/

%files www
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bonito.conf
%{_localstatedir}/www/bonito/css
%{_localstatedir}/www/bonito/js
%{_localstatedir}/www/bonito/img
%{_localstatedir}/www/bonito/misc
%{_localstatedir}/www/bonito/index.html
%{_localstatedir}/www/bonito/fonts/*
%config(noreplace) %{_localstatedir}/www/bonito/.htaccess
%config(noreplace) %{_localstatedir}/www/bonito/run.cgi
%config(noreplace) %{_sysconfdir}/skejobserver
%{_prefix}/lib/systemd/system/skejobserver.service

%changelog
